<template>
  <transition name="slide-fade" mode="in-out">
    <div
      v-show="selected"
      :id="panelId"
      class="fr-tabs__panel"
      :class="{
        'fr-tabs__panel--selected': selected,
      }"
      role="tabpanel"
      :aria-labelledby="tabId"
      :tabindex="selected ? 0 : -1"
    >
      <slot />
    </div>
  </transition>
</template>

<script>
export default {
  name: 'FrTabContent',
  props: {
    selected: {
      type: Boolean,
      default: false,
    },
    panelId: {
      type: String,
      required: true,
    },
    tabId: {
      type: String,
      required: true,
    },
  },
};
</script>

<style scoped>
.slide-fade-enter-active {
  transition: all 0.3s ease-out;
}

.slide-fade-leave-active {
  transition: all 0.3s cubic-bezier(1, 0.5, 0.8, 1);
}
</style>
